Update RICAL configuration
Update the RICAL configuration for the requested ecosystem.
A RICAL configuration is required in order for RICALs to be created.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
uuidapplication/json- body
ricalProvider*stringRICAL provider name.
autoPublish?Configuration for automatic scheduled publishing of RICALs.
RICAL configuration updated
application/json- response
ricalProvider*stringRICAL provider name.
autoPublish?Configuration for automatic scheduled publishing of RICALs.
curl -X PUT "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals/configuration" \ -H "Content-Type: application/json" \ -d '{ "ricalProvider": "MATTR" }'{ "ricalProvider": "MATTR", "autoPublish": { "enabled": true, "frequency": "Daily", "configuredAt": "2025-07-01T00:00:00.000Z" }}How would you rate this page?
Delete specific RICAL DELETE
Deletes a specific RICAL from the requested ecosystem by providing the RICAL version identifier. Deleting a RICAL also deletes the verifier policy published from it, if one exists. This action cannot be undone. A `404` is only returned when the ecosystem does not exist. Deleting a `ricalIssueId` that does not exist within an existing ecosystem still returns `204`.
Retrieve RICAL configuration GET
Retrieve the RICAL configuration from the requested ecosystem.